Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.dom4j.tree
Class DefaultAttribute

    java.lang.Object
      org.dom4j.tree.AbstractNode
          org.dom4j.tree.AbstractAttribute
              org.dom4j.tree.FlyweightAttribute
                  org.dom4j.tree.DefaultAttribute

All Implemented Interfaces:
  Attribute, Cloneable, Node, Serializable

Direct Known Subclasses:
  DOMAttribute, UserDataAttribute

public class DefaultAttribute
extends FlyweightAttribute

`DefaultAttribute` implements a doubly linked node which supports the parent relationship and is mutable.

Version:
  $Revision: 1.13 $
Author:
  James Strachan
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.dom4j.tree.FlyweightAttribute
`value`

Fields inherited from class org.dom4j.tree.AbstractNode
`NODE_TYPE_NAMES`

Fields inherited from interface org.dom4j.Node
`ANY_NODE, ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_REFERENCE_NODE, MAX_NODE_TYPE, NAMESPACE_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE, UNKNOWN_NODE`

Constructor Summary
`DefaultAttribute(Element parent, QName qname, String value)`
`DefaultAttribute(Element parent, String name, String value, Namespace namespace)` Creates the `Attribute` with the specified local name, value and `Namespace`.
`DefaultAttribute(QName qname)`
`DefaultAttribute(QName qname, String value)`
`DefaultAttribute(String name, String value)` Creates the `Attribute` with the specified local name and value.
`DefaultAttribute(String name, String value, Namespace namespace)` Creates the `Attribute` with the specified local name, value and `Namespace`.

Method Summary
`Element` | `getParent()` `getParent` returns the parent `Element` if this node supports the parent relationship or null if it is the root element or does not support the parent relationship.
`boolean` | `isReadOnly()` `isReadOnly` returns true if this node is read only and cannot be modified.
`void` | `setParent(Element parent)` `setParent` sets the parent relationship of this node if the parent relationship is supported or does nothing if the parent relationship is not supported.
`void` | `setValue(String value)` Sets the value of this attribute or this method will throw an `UnsupportedOperationException` if it is read-only.
`boolean` | `supportsParent()` `supportsParent` returns true if this node supports the parent relationship.

Methods inherited from class org.dom4j.tree.FlyweightAttribute
`getQName, getValue`

Methods inherited from class org.dom4j.tree.AbstractAttribute
`accept, asXML, createXPathResult, getData, getName, getNamespace, getNamespacePrefix, getNamespaceURI, getNodeType, getPath, getQualifiedName, getText, getUniquePath, setData, setNamespace, setText, toString, write`

Methods inherited from class org.dom4j.tree.AbstractNode
`asXPathResult, clone, createPattern, createXPath, createXPathFilter, detach, getDocument, getDocumentFactory, getNodeTypeName, getPath, getStringValue, getUniquePath, hasContent, matches, numberValueOf, selectNodes, selectNodes, selectNodes, selectObject, selectSingleNode, setDocument, setName, valueOf`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.dom4j.Node
`asXPathResult, clone, createXPath, detach, getDocument, getNodeTypeName, getPath, getStringValue, getUniquePath, hasContent, matches, numberValueOf, selectNodes, selectNodes, selectNodes, selectObject, selectSingleNode, setDocument, setName, valueOf`

Constructor Detail

### DefaultAttribute

    public DefaultAttribute(QName qname)

### DefaultAttribute

    public DefaultAttribute(QName qname,
                            String value)

### DefaultAttribute

    public DefaultAttribute(Element parent,
                            QName qname,
                            String value)

### DefaultAttribute

    public DefaultAttribute(String name,
                            String value)

  Creates the `Attribute` with the specified local name and value.

Parameters:
  `name` - is the name of the attribute
  `value` - is the value of the attribute

### DefaultAttribute

    public DefaultAttribute(String name,
                            String value,
                            Namespace namespace)

  Creates the `Attribute` with the specified local name, value and `Namespace`.

Parameters:
  `name` - is the name of the attribute
  `value` - is the value of the attribute
  `namespace` - is the namespace of the attribute

### DefaultAttribute

    public DefaultAttribute(Element parent,
                            String name,
                            String value,
                            Namespace namespace)

  Creates the `Attribute` with the specified local name, value and `Namespace`.

Parameters:
  `parent` - is the parent element
  `name` - is the name of the attribute
  `value` - is the value of the attribute
  `namespace` - is the namespace of the attribute

Method Detail

### setValue

    public void setValue(String value)

  Description copied from interface: `Attribute`

  Sets the value of this attribute or this method will throw an `UnsupportedOperationException` if it is read-only.

  Specified by:
    `setValue` in interface `Attribute`
  Overrides:
    `setValue` in class `AbstractAttribute`

### getParent

    public Element getParent()

  Description copied from interface: `Node`

  `getParent` returns the parent `Element` if this node supports the parent relationship or null if it is the root element or does not support the parent relationship.

  This method is an optional feature and may not be supported for all `Node` implementations.

  Specified by:
    `getParent` in interface `Node`
  Overrides:
    `getParent` in class `AbstractNode`

### setParent

    public void setParent(Element parent)

  Description copied from interface: `Node`

  `setParent` sets the parent relationship of this node if the parent relationship is supported or does nothing if the parent relationship is not supported.

  This method should only be called from inside an `Element` implementation method and is not intended for general use.

  Specified by:
    `setParent` in interface `Node`
  Overrides:
    `setParent` in class `AbstractNode`

### supportsParent

    public boolean supportsParent()

  Description copied from interface: `Node`

  `supportsParent` returns true if this node supports the parent relationship.

  Some XML tree implementations are singly linked and only support downward navigation through children relationships. The default case is that both parent and children relationships are supported though for memory and performance reasons the parent relationship may not be supported.

  Specified by:
    `supportsParent` in interface `Node`
  Overrides:
    `supportsParent` in class `AbstractNode`

### isReadOnly

    public boolean isReadOnly()

  Description copied from interface: `Node`

  `isReadOnly` returns true if this node is read only and cannot be modified. Any attempt to modify a read-only `Node` will result in an `UnsupportedOperationException` being thrown.

  Specified by:
    `isReadOnly` in interface `Node`
  Overrides:
    `isReadOnly` in class `AbstractNode`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 MetaStuff Ltd.. All Rights Reserved.